package com.skr.mdm.api.authority.service;

import com.skr.mdm.dto.LoginAdminDTO;
import com.skr.mdm.result.ResponseResult;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @author nfq
 * @date 2021/1/20 18:04
 */
public interface MdmAuthorizationService {

    ResponseResult config(MultipartFile file, LoginAdminDTO loginAdminDTO) throws IOException;

    ResponseResult info(Integer companyId);

    ResponseResult encrypt(Long data);

    void createEncryptFile(Integer authorizationNumber, Long authorizationExpireTime, String machineCode, HttpServletResponse response) throws Exception;
}
